Loading...
Searching...
No Matches
RDPickers Namespace Reference

## Classes

class | DistPicker
| Abstract base class to do perform item picking (typically molecules) using a distance matrix. More...
class | HierarchicalClusterPicker
| Diversity picker based on hierarchical clustering. More...
class | LeaderPicker
| Implements the Leader algorithm for picking a subset of item from a pool. More...
struct | LeaderPickerState
class | MaxMinPicker
| Implements the MaxMin algorithm for picking a subset of item from a pool. More...
struct | MaxMinPickInfo

## Functions

RDKIT_SIMDIVPICKERS_EXPORT double | getDistFromLTM (const double *distMat, unsigned int i, unsigned int j)
| function to lookup distance from 1D lower triangular distance matrix

## Function Documentation

## getDistFromLTM()

RDKIT_SIMDIVPICKERS_EXPORT double RDPickers::getDistFromLTM | ( | const double * | distMat,
|  | unsigned int | i,
|  | unsigned int | j
| ) |  |

function to lookup distance from 1D lower triangular distance matrix

Parameters

  distMat | - a pointer to a 1D lower triangular distance matrix
  i | - row index
  j | - column index RETURNS:

if (i == j) : 0.0 if (i > j) : distMat[i*(i-1)/2 + j] if (j < i) : distMat[j*(j-1)/2 + i]